NNG_HTTP_HANDLER_SET_METHOD(3http)

NAME
nng_http_handler_set_method - set HTTP handler method

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_handler_set_method(nng_http_handler *handler, const char *method);

DESCRIPTION

The nng_http_handler_set_method() function sets the method that the handler will be called for, such as "GET" or "POST". (By default the "GET" method is handled.) If method is NULL, then the request method is not examined, and the handler will be executed regardless of the method.

    Note

    The server will automatically call "GET" handlers if the client sends a "HEAD" request, and will suppress HTTP body data in the responses sent for such requests.

    Note

    No validation of the method is performed, but HTTP specifications insist that the actual method sent over the wire be capitalized.

The handler may always examine the actual method used using the nng_http_req_get_method() function.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient free memory exists.

NNG_ENOTSUP
    No support for HTTP in the library.

SEE ALSO

nng_http_handler_alloc(3http), nng_http_server_add_handler(3http), nng_http_req_get_method(3http), nng(7)